Lucene++ - a full-featured, c++ search engine
API Documentation

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Data Fields | Protected Attributes
Lucene::FreqProxFieldMergeState Class Reference

Used by DocumentsWriter to merge the postings from multiple ThreadStates when creating a segment. More...

`#include <FreqProxFieldMergeState.h>`

Inheritance diagram for Lucene::FreqProxFieldMergeState:

## Public Member Functions

| FreqProxFieldMergeState (const FreqProxTermsWriterPerFieldPtr &field)
virtual | ~FreqProxFieldMergeState ()
virtual String | getClassName ()
boost::shared_ptr< FreqProxFieldMergeState > | shared_from_this ()
bool | nextTerm ()
bool | nextDoc ()
Public Member Functions inherited from Lucene::LuceneObject
virtual | ~LuceneObject ()
virtual void | initialize ()
| Called directly after instantiation to create objects that depend on this object being fully constructed.
virtual LuceneObjectPtr | clone (const LuceneObjectPtr &other=LuceneObjectPtr())
| Return clone of this object.
virtual int32_t | hashCode ()
| Return hash code for this object.
virtual bool | equals (const LuceneObjectPtr &other)
| Return whether two objects are equal.
virtual int32_t | compareTo (const LuceneObjectPtr &other)
| Compare two objects.
virtual String | toString ()
| Returns a string representation of the object.
Public Member Functions inherited from Lucene::LuceneSync
virtual | ~LuceneSync ()
virtual SynchronizePtr | getSync ()
| Return this object synchronize lock.
virtual LuceneSignalPtr | getSignal ()
| Return this object signal.
virtual void | lock (int32_t timeout=0)
| Lock this object using an optional timeout.
virtual void | unlock ()
| Unlock this object.
virtual bool | holdsLock ()
| Returns true if this object is currently locked by current thread.
virtual void | wait (int32_t timeout=0)
| Wait for signal using an optional timeout.
virtual void | notifyAll ()
| Notify all threads waiting for signal.

## Static Public Member Functions

static String | _getClassName ()

## Data Fields

FreqProxTermsWriterPerFieldPtr | field
int32_t | numPostings
CharBlockPoolPtr | charPool
Collection< RawPostingListPtr > | postings
FreqProxTermsWriterPostingListPtr | p
CharArray | text
int32_t | textOffset
ByteSliceReaderPtr | freq
ByteSliceReaderPtr | prox
int32_t | docID
int32_t | termFreq

## Protected Attributes

int32_t | postingUpto
Protected Attributes inherited from Lucene::LuceneSync
SynchronizePtr | objectLock
LuceneSignalPtr | objectSignal

## Additional Inherited Members

Protected Member Functions inherited from Lucene::LuceneObject
| LuceneObject ()

## Detailed Description

Used by DocumentsWriter to merge the postings from multiple ThreadStates when creating a segment.

## Constructor & Destructor Documentation

## ◆ FreqProxFieldMergeState()

Lucene::FreqProxFieldMergeState::FreqProxFieldMergeState | ( | const FreqProxTermsWriterPerFieldPtr & | field | ) |

## ◆ ~FreqProxFieldMergeState()

virtual Lucene::FreqProxFieldMergeState::~FreqProxFieldMergeState | ( |  | ) |

virtual

## Member Function Documentation

## ◆ _getClassName()

static String Lucene::FreqProxFieldMergeState::_getClassName | ( |  | ) |

inline static

## ◆ getClassName()

virtual String Lucene::FreqProxFieldMergeState::getClassName | ( |  | ) |

inline virtual

## ◆ nextDoc()

bool Lucene::FreqProxFieldMergeState::nextDoc | ( |  | ) |

## ◆ nextTerm()

bool Lucene::FreqProxFieldMergeState::nextTerm | ( |  | ) |

## ◆ shared_from_this()

boost::shared_ptr< FreqProxFieldMergeState > Lucene::FreqProxFieldMergeState::shared_from_this | ( |  | ) |

inline

## Field Documentation

## ◆ charPool

CharBlockPoolPtr Lucene::FreqProxFieldMergeState::charPool

## ◆ docID

int32_t Lucene::FreqProxFieldMergeState::docID

## ◆ field

FreqProxTermsWriterPerFieldPtr Lucene::FreqProxFieldMergeState::field

## ◆ freq

ByteSliceReaderPtr Lucene::FreqProxFieldMergeState::freq

## ◆ numPostings

int32_t Lucene::FreqProxFieldMergeState::numPostings

## ◆ p

FreqProxTermsWriterPostingListPtr Lucene::FreqProxFieldMergeState::p

## ◆ postings

Collection<RawPostingListPtr> Lucene::FreqProxFieldMergeState::postings

## ◆ postingUpto

int32_t Lucene::FreqProxFieldMergeState::postingUpto

protected

## ◆ prox

ByteSliceReaderPtr Lucene::FreqProxFieldMergeState::prox

## ◆ termFreq

int32_t Lucene::FreqProxFieldMergeState::termFreq

## ◆ text

CharArray Lucene::FreqProxFieldMergeState::text

## ◆ textOffset

int32_t Lucene::FreqProxFieldMergeState::textOffset

The documentation for this class was generated from the following file:

- FreqProxFieldMergeState.h

clucene.sourceforge.net